Bug 1035392 - Handling of png image file 2nd inclusion is broken
Summary: Handling of png image file 2nd inclusion is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-tcpdf
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-27 16:21 UTC by Patrick Monnerat
Modified: 2013-12-15 20:24 UTC (History)
2 users (show)

Fixed In Version: php-tcpdf-6.0.049-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-11 01:59:22 UTC


Attachments (Terms of Use)
Small program causing the failure (263 bytes, application/x-php)
2013-11-27 16:21 UTC, Patrick Monnerat
no flags Details
tcpdf.patch (510 bytes, patch)
2013-11-27 17:08 UTC, Remi Collet
no flags Details | Diff

Description Patrick Monnerat 2013-11-27 16:21:15 UTC
Created attachment 829801 [details]
Small program causing the failure

Description of problem:
Drawing a PNG image file is included more than once in the same PDF fails.

Version-Release number of selected component (if applicable):
php-tcpdf-6.0.042-1.fc18

How reproducible:
Always


Steps to Reproduce:
1. Download the failing program in attachment and update it to reference one of your local PNG file twice.
2. Launch it from a browser.

Actual results:
( ! ) Warning: fopen(/tmp/__tcpdf_imgmask_alpha_0960c5a03fd8829ab81573c61b701257): failed to open stream: No such file or directory in /usr/share/php/tcpdf/include/tcpdf_images.php on line 238
Call Stack
#	Time	Memory	Function	Location
1	0.0003	240408	{main}( )	../ttcpdf.php:0
2	0.5917	11708088	TCPDF->Image( )	../ttcpdf.php:7
3	0.5918	11711224	TCPDF->Image( )	../tcpdf.php:6945
4	0.5920	11713584	TCPDF_IMAGES::_parsepng( )	../tcpdf.php:6968
5	0.5920	11713680	fopen ( )	../tcpdf_images.php:238

and consecutive problems.

Expected results:
A PDF document with twice the same image.

Comment 1 Remi Collet 2013-11-27 17:07:10 UTC
Reproduced with latest upstream 6.0.048

Comment 2 Remi Collet 2013-11-27 17:08:32 UTC
Created attachment 829838 [details]
tcpdf.patch

Comment 3 Remi Collet 2013-11-27 17:09:08 UTC
You can try the attached patch to see if it solves the issue for you.

I will submit it upstream.

Comment 4 Patrick Monnerat 2013-11-27 17:17:01 UTC
The patch fixes the problem. Thanks.

Comment 5 Remi Collet 2013-11-28 06:15:32 UTC
Patch merged in upstream version 6.0.049.
Update in process.

Comment 6 Fedora Update System 2013-11-28 06:29:47 UTC
php-tcpdf-6.0.047-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-21841/php-tcpdf-6.0.047-1.fc18

Comment 7 Fedora Update System 2013-11-28 06:29:49 UTC
php-tcpdf-6.0.047-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-21894/php-tcpdf-6.0.047-1.fc19

Comment 8 Fedora Update System 2013-11-28 06:29:55 UTC
php-tcpdf-6.0.047-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12167/php-tcpdf-6.0.047-1.el6

Comment 9 Fedora Update System 2013-11-28 06:29:58 UTC
php-tcpdf-6.0.047-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-22035/php-tcpdf-6.0.047-1.fc20

Comment 10 Fedora Update System 2013-11-29 16:04:11 UTC
Package php-tcpdf-6.0.049-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-tcpdf-6.0.049-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22035/php-tcpdf-6.0.049-1.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-12-11 01:59:22 UTC
php-tcpdf-6.0.049-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-12-11 02:04:44 UTC
php-tcpdf-6.0.049-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-12-14 03:37:39 UTC
php-tcpdf-6.0.049-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-12-15 20:24:59 UTC
php-tcpdf-6.0.049-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.